from panel.models import FunctionExecutor
from datetime import timezone
import datetime
import jdatetime
import schedule


def timing_function(function_name):
    func_obj = FunctionExecutor.objects.get(
        function_name=function_name
    )
    func_dict = {

    }
    if func_obj.time_type == "year":
        func_dict['']()
    elif func_obj.time_type == "month":
        func_dict['']()
    elif func_obj.time_type == "day":
        func_dict['']()
    elif func_obj.time_type == "hour":
        func_dict['']()
    elif func_obj.time_type == "minute":
        func_dict['']()
    elif func_obj.time_type == "second":
        func_dict['']()
